//
// JUMA-TRX2 EEPROM save structures
//
// Juha Niinikoski, OH2NLT 28.01.2007
//
// EEPROM structure separated to own file 28.01.2007


// User power on values, EEPROM storage
// sq variable added 08.04.2007 
// RF attenuator bits added 17.05.2007
// CW side tone added 01.02.2008
// Number of VFOs increased 08.03.2008


struct defval
	{
	long vfo[30];					// VFO (DDS) settings, 0=A, 1=B, 2=reserved, 3=D etc...
	long cw_shift;					// TX cw shift (DDS units)
	int cw_sidetone;				// CW side tone pitch (tone generator units)
	int step_idx;					// tuning step indes
	int vfo_sel;					// VFO select, A=0, B=1, Split = 2
	int max_vfo;					// number of memory locations in use
	int mode[30];					// operating mode, 0=LSB, 1=USB, 2=CW,, Tune = 3 for VFO A&B
	int rit_on;						// RIT on flag, 0=off, !0=on
	int agc_speed;					// agc_speed, 1 = fast
	int nb;							// noice blancker
	int proc_on_off;				// speech processor on / off, 1 = on
	int filter;						// filter select, 0=narrow, 1=mid, 2=wide
	int contrast;					// LCD display contrast, pwm4
	int back_light;					// LCD back light, pwm3
	int back_light_timer;			// LCD back light off timer, 0 = not in use 
	int scaf_filters[4];			// SCAF filter clock dividers, [0]=nar,[1]=mid,[2]=wid,[3]=tx
	int keyer;						// keyer operating mode
	int serial_mode;				// serial interface operating mode
	int af_input;					// MIC input level, 0=LINE, 1= MIC
	int sq;							// Squelch in use, 1 = in use
	int br;							// baud rate index
	unsigned int d_csum;			// checksum
	};
		
// system calibration values

struct calval
	{
	long ref_osc;					// Reference oscilator frequency
	long id_mult;					// Drain current meter calibration
	long batt_mult;					// Battery voltage meter calibration
	long s_mtr_mult;				// S-meter calibration
	long rev_pwr_mult;				// Reverse power meter calibration
	long fwd_pwr_mult;				// forward power meter calibration
	int	beep_len;					// tone marker length(ms)
	unsigned char rf_atn_bits[16];	// PA board rf attenuator select bits, see rf_filt_attn[] for details
	unsigned int c_csum;			// checksum
	};
		
